import request from '@/utils/request'
// 分类管理
/**
 * 新增/修改分类
 * @returns
 */
 export function submit(data) {
    return request({
      url: '/admin/category/submit',
      method: 'post',
      data: data
    })
  }
/**
 * 新增/修改子分类
 * @returns
 */
export function submitChild(data) {
  return request({
    url: '/admin/category/submitChild',
    method: 'post',
    data: data
  })
}
/**
 * 获取分类列表
 */
  export function categoryList(bizType) {
    return request({
      url: '/admin/category/categoryList?bizType=' + bizType,
      method: 'get'
    })
  }

  /**
   * 开启/关闭
   */
  export function updateEnable(data) {
    return request({
      url: '/admin/category/updateEnable',
      method: 'put',
      data: data
    })
  }

  /**
   * 更新排序
   * @param data
   * @returns {*}
   */
  export function updateSorting(data) {
    return request({
      url: '/admin/category/updateSorting',
      method: 'put',
      data: data
    })
  }

  /**
   * 更新首页显示
   */
  export function updateIndexShow(categoryId, indexShow) {
    return request({
      url: '/admin/category/updateIndexShow',
      method: 'put',
      data: {
        categoryId: categoryId,
        indexShow: indexShow
      }
    })
  }

  /**
   * 获取分类树
   * @returns {*}
   */
  export function categoryTree() {
      return request({
        url: '/admin/category/categoryTree',
        method: 'get'
      })
  }
